2.2

1 minute to read Download PDF Edit

2.2.2

Impact Description
Medium Upgraded to TypeScript 1.8.x because of using new language features which are incompatible with TS 1.6.y, so you’ll have to upgrade to TS 1.8.x (which is backward compatible) as well.
Low Added support for Mendix 6.4.1.
Low It is now possible to deep clone elements by using element.deepCopy().
Low serializeToJs no longer crashes when it encounters deleted attributes.
Low Added publicReadOnly property for working copies.
Low Added support for retrieving overviews of all the working copies that user is member of.

SDK version 2.2.0 and 2.2.1 were unpublished because they were published in a broken state.

Copyright © Mendix. All rights reserved. | Mendix.com | Terms of Use | Privacy Policy